IOSS 2.0

Public Member Functions | Public Attributes | List of all members
Ioex::Mesh Class Reference

`#include <Ioex_Internals.h>`

Collaboration diagram for Ioex::Mesh:
[legend]

## Public Member Functions
| Mesh ()=default
| Mesh (int dim, char *the_title, bool file_pp)
void | populate (Ioss::Region *region)

## Public Attributes
char | title [MAX_LINE_LENGTH+1] {}
int | dimensionality {}
bool | file_per_processor {true}
std::vector< NodeBlock > | nodeblocks
std::vector< EdgeBlock > | edgeblocks
std::vector< FaceBlock > | faceblocks
std::vector< ElemBlock > | elemblocks
std::vector< NodeSet > | nodesets
std::vector< EdgeSet > | edgesets
std::vector< FaceSet > | facesets
std::vector< ElemSet > | elemsets
std::vector< SideSet > | sidesets
CommunicationMetaData | comm

## Constructor & Destructor Documentation

## ◆ Mesh() [1/2]

Ioex::Mesh::Mesh | ( |  | ) |
| default

## ◆ Mesh() [2/2]

Ioex::Mesh::Mesh | ( | int | dim,
|  | char * | the_title,
|  | bool | file_pp
| ) |  |
| inline

## Member Function Documentation

## ◆ populate()

void Mesh::populate | ( | Ioss::Region * | region | ) |

## Member Data Documentation

## ◆ comm

CommunicationMetaData Ioex::Mesh::comm

## ◆ dimensionality

int Ioex::Mesh::dimensionality {}

## ◆ edgeblocks

std::vector<EdgeBlock> Ioex::Mesh::edgeblocks

## ◆ edgesets

std::vector<EdgeSet> Ioex::Mesh::edgesets

## ◆ elemblocks

std::vector<ElemBlock> Ioex::Mesh::elemblocks

## ◆ elemsets

std::vector<ElemSet> Ioex::Mesh::elemsets

## ◆ faceblocks

std::vector<FaceBlock> Ioex::Mesh::faceblocks

## ◆ facesets

std::vector<FaceSet> Ioex::Mesh::facesets

## ◆ file_per_processor

bool Ioex::Mesh::file_per_processor {true}

## ◆ nodeblocks

std::vector<NodeBlock> Ioex::Mesh::nodeblocks

## ◆ nodesets

std::vector<NodeSet> Ioex::Mesh::nodesets

## ◆ sidesets

std::vector<SideSet> Ioex::Mesh::sidesets

## ◆ title

char Ioex::Mesh::title[MAX_LINE_LENGTH+1] {}

The documentation for this class was generated from the following files:

- src/exodus/Ioex_Internals.h
- src/exodus/Ioex_Internals.C